define([
    "./app/Content",
    "./app/Page",
    "./app/Router",
    "./routes",
    "./session",
    "./store",
    "./store/request",
    "./ui/LoginDialogWrapper",
    "./ui/MainMenu",
    "dojo/_base/array",
    "dojo/parser",
    "./stddeps",
    "dojo/domReady!"
], function(Content, Page, Router, routes, session, store,
            request, LoginDialogWrapper, MainMenu, array, parser) {

    parser.parse();

    new MainMenu({},"menu").startup();

    array.forEach(routes,function(route){
        Router.register(route);
    });
    Router.startup();

    session.restore();

});
