define([
    // dijit & rft widgets used declaratively in templates
    'dijit/Dialog',
    'dijit/DropDownMenu',
    'dijit/InlineEditBox',
    'dijit/MenuBar',
    'dijit/MenuBarItem',
    'dijit/PopupMenuBarItem',
    'dijit/TitlePane',
    'dijit/layout/AccordionContainer',
    'dijit/layout/BorderContainer',
    'dijit/layout/ContentPane',
    'dijit/layout/TabContainer',
    'dijit/form/Button',
    'dijit/form/ComboBox',
    'dijit/form/DateTextBox',
    'dijit/form/Form',
    'dijit/form/NumberSpinner',
    'dijit/form/Select',
    'dijit/form/SimpleTextarea',
    'dijit/form/Textarea',
    'dijit/form/TextBox',
    'dijit/form/TimeTextBox',

    'dojox/grid/DataGrid',

    './app/Notifications',

    './model/widgets/AccountListView',
    './model/widgets/SurveyRenderWidget',
    './model/widgets/SurveyRunWidget',
    './model/widgets/SurveySummary',
    './model/widgets/SurveyWidget',

    './ui/LoginDialogWrapper',
    './ui/MainMenu',
    './ui/MenuBarLink',
    './ui/MenuLink',
    './ui/SessionMenu',

    './widgets/LineWithActionsWidget',
    './widgets/ObjectBox',
    './widgets/Selector',
    './widgets/TitleGroup'
],function(){});
