var port = process.env.PORT || 5000;
var couchDbURL = (process.env.CLOUDANT_URL || 'http://localhost:5984')+'/';

var configCouch = require('./config/config-couchdb');

console.log("Running on",couchDbURL);

configCouch(couchDbURL)
.then(function(){
    var app = require('./app').App({
        couchDbURL: couchDbURL+'qed'
    });

    app.listen(port, function() {
        console.log('Listening on port',port);
    });
});
